> For the complete documentation index, see [llms.txt](https://docs.shimoku.com/dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shimoku.com/dev/elements/charts/html/background-indicators.md).

# Background Indicators

{% hint style="info" %}
WARNING avoid special symbols such as `(, ), [, ]` and similar in the texts of this component because it could break the look\&feel
{% endhint %}

Input variables:

```python
title: str
```

And accepts the following input variables as optional:

```python
background_url: Optional[str]
href: Optional[str]
```

&#x20;Example of use:

```python
s.plt.html(
    order=0,
    html=s.html_components.beautiful_indicator(
        title='Start',
        href='https://docs.shimoku.com/development/'
    )
)
```

![You can click on any place of the indicator to reach the link embedded. The page will open in the same window.](/files/FEkr2gKm7AGRAckYWsoh)

You can resize, change position and text at will, for example:

```python
s.plt.html(
    order=0, cols_size=5,
    padding='1,0,0,2',
    html=s.html_components.beautiful_indicator(
        title='Start reading',
        background_url='https://images.unsplash.com/photo-1451187580459-43490279c0fa?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxzZWFyY2h8N3x8dGVjaG5vbG9neXxlbnwwfHwwfHw%3D&auto=format&fit=crop&w=600&q=60',
        href='https://docs.shimoku.com/development/'
    )
)
```

![Note the space before the component obtained using  padding='1,0,0,2'. The order of the spaces is Top, Right, Bottom, Left. If you clock on the ribbon, you are redirected to https://docs.shimoku.com/development/, that is a link you can modify as you want.](/files/UOVoWw0JSI70eSs5Ir7t)

More on how to use the [Grid](/dev/building-web-app/grid.md).

#### Video demonstration <a href="#video-demonstration-of-the-bar-chart" id="video-demonstration-of-the-bar-chart"></a>

{% embed url="<https://www.loom.com/share/32deadc5403b4217a0a33434ed26fac3>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.shimoku.com/dev/elements/charts/html/background-indicators.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
